Subject: [Ecrit] Draft new version: draft-holmberg-ecrit-country-emg-urn-02

From: Christer Holmberg <[email-masked]>
Date: Tue, 19 Mar 2013 11:51:45 +0000

Hi,

Based on the Orlando decision to move forward with the relax-the-5031-registration-policy alternative for allowing emg URNs for services offered in one country only, I've submitted an "official" new version (-02) of draft-holmberg-ecrit-country-emg-urn. Aside from some minor changes caused by the new version of xml2rfc, the draft is identical to the pre-02 version I distributed before the meeting.

As was indicated in the meeting, additional text will still be needed, but once the Orlando decision is verified on the list I hope we can adopt the draft as base for the work.

Thanks to everyone who provided comments during the meeting!

Regards,

Christer

---

From: John-Luc Bakker <[email-masked]>
Date: Tue, 19 Mar 2013 15:11:57 +0000

Hi Christer,

Thanks for this.
When a new URN is adopted via expert review, a description of the caller expectation in terms of services rendered (for the new URN) cannot be found in RFC 5031.

For example, for the existing URN urn:service:sos.mountain, the RFC includes:

      The 'mountain' service refers to mountain
      rescue services (i.e., search and rescue activities that occur in
      a mountainous environment), although the term is sometimes also
      used to apply to search and rescue in other wilderness
      environments.

Will the caller expectation in terms of services rendered be documented somewhere?
Apologies if this query was already addressed during the ECRIT session ...

Kind regards,

               JL

From: [email-masked] [mailto:[email-masked]] On Behalf Of Christer Holmberg
Sent: Tuesday, March 19, 2013 6:52 AM
To: [email-masked]
Subject: [Ecrit] Draft new version: draft-holmberg-ecrit-country-emg-urn-02

Hi,

Regards,

Christer

---------------------------------------------------------------------
This transmission (including any attachments) may contain confidential information, privileged material (including material protected by the solicitor-client or other applicable privileges), or constitute non-public information. Any use of this information by anyone other than the intended recipient is prohibited. If you have received this transmission in error, please immediately reply to the sender and delete this information from your system. Use, dissemination, distribution, or reproduction of this transmission by unintended recipients is not authorized and may be unlawful.

---

From: Paul Kyzivat <[email-masked]>
Date: Tue, 19 Mar 2013 23:54:27 +0800

This is a good question.
It appears that the answer is NO. :-(

The current registry only has the service name, a few words of 
descrption, and a reference. The expert review for new registrations 
doesn't seem to require a document, so there may not be anything to 
reference for new registrations.

There seem to be a couple of possibilities:

Change to require a specification, and provide instructions for IANA to 
reference it.

OR, change the registration template to require a longer description of 
the service, and change the IANA table to include it.

	Thanks,
	Paul

On 3/19/13 11:11 PM, John-Luc Bakker wrote:
> Hi Christer,
>
> Thanks for this.
>
> When a new URN is adopted via expert review, a description of the caller
> expectation in terms of services rendered (for the new URN) cannot be
> found in RFC 5031.
>
> Apologies if this query was already addressed during the ECRIT session …
>
> Kind regards,
>
>                 JL
>
> *From:[email-masked] [mailto:[email-masked]] *On Behalf
> Of *Christer Holmberg
> *Sent:* Tuesday, March 19, 2013 6:52 AM
> *To:* [email-masked]
> *Subject:* [Ecrit] Draft new version:
> draft-holmberg-ecrit-country-emg-urn-02
>
> Hi,
>
> Based on the Orlando decision to move forward with the
> relax-the-5031-registration-policy alternative for allowing emg URNs for
> services offered in one country only, I’ve submitted an “official” new
> version (-02) of draft-holmberg-ecrit-country-emg-urn. Aside from some
> minor changes caused by the new version of xml2rfc, the draft is
> identical to the pre-02 version I distributed before the meeting.
>
> As was indicated in the meeting, additional text will still be needed,
> but once the Orlando decision is verified on the list I hope we can
> adopt the draft as base for the work.
>
> This transmission (including any attachments) may contain confidential
> information, privileged material (including material protected by the
> solicitor-client or other applicable privileges), or constitute
> non-public information. Any use of this information by anyone other than
> the intended recipient is prohibited. If you have received this
> transmission in error, please immediately reply to the sender and delete
> this information from your system. Use, dissemination, distribution, or
> reproduction of this transmission by unintended recipients is not
> authorized and may be unlawful.
>
>
> _______________________________________________
> Ecrit mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ecrit
>

---

From: Ivo Sedlacek <[email-masked]>
Date: Tue, 19 Mar 2013 16:02:04 +0000

Hello,

> Will the caller expectation in terms of services rendered be documented somewhere?

The new policy proposed in draft-holmberg-ecrit-country-emg-urn-02 section 5.3 states:

   The 'sos' service type describes emergency services requiring an
   immediate response, typically offered by various branches of the
   government or other public institutions.  Additional sub-services can
   be added after expert review.  The expert is designated by the ECRIT
   working group, its successor, or, in their absence, the IESG.  The
   expert review should only approve services that have emergency
   nature, that are offered in at least one country, that do not match
   description of any existing service URN with the 'sos' service type,
   and where the service description and the URN are defined as broadly
   as possible to encourage reuse.  The 'sos' service is not meant to
   invoke general government, public information, counseling, or social
   services.

I.e. in the expert review, the service description and the URN are reviewed. If approved, the service description and URN are listed in IANA - see http://www.iana.org/assignments/urn-serviceid-labels/urn-serviceid-labels.xml#urn-serviceid-labels-2

Kind regards

Ivo Sedlacek

This Communication is Confidential. We only send and receive email on the basis of the terms set out at www.ericsson.com/email_disclaimer<http://www.ericsson.com/email_disclaimer>
From: [email-masked] [mailto:[email-masked]] On Behalf Of John-Luc Bakker
Sent: 19. března 2013 16:12
To: Christer Holmberg; [email-masked]
Subject: Re: [Ecrit] Draft new version: draft-holmberg-ecrit-country-emg-urn-02

Hi Christer,

Thanks for this.

Kind regards,

               JL

From: [email-masked]<mailto:[email-masked]> [mailto:[email-masked]] On Behalf Of Christer Holmberg
Sent: Tuesday, March 19, 2013 6:52 AM
To: [email-masked]<mailto:[email-masked]>
Subject: [Ecrit] Draft new version: draft-holmberg-ecrit-country-emg-urn-02

Hi,

Regards,

Christer

---

From: John-Luc Bakker <[email-masked]>
Date: Tue, 19 Mar 2013 20:33:09 +0000

Hi Ivo,

Thanks for the quick response.
The IANA web page has for "urn:service:sos.mountain" the following description "Mountain rescue" and a link to the RFC. The RFC then has the following description of the caller expectation in terms of services rendered:

In my opinion, according to the RFC, "urn:service:sos.mountain" could also be applied to emergencies in caves/sink holes (i.e. no need for a mountainous terrain), although such use would not be immediately apparent from the description on the IANA web page that has the registry for Service URN Labels.

Perhaps the issue is that the IANA web page that has the registry for Service URN Labels misses some information that is found in the RFC.

Regards,

               JL

From: Ivo Sedlacek [mailto:[email-masked]]
Sent: Tuesday, March 19, 2013 11:02 AM
To: John-Luc Bakker; Christer Holmberg; [email-masked]
Subject: RE: [Ecrit] Draft new version: draft-holmberg-ecrit-country-emg-urn-02

Hello,

Kind regards

Ivo Sedlacek

This Communication is Confidential. We only send and receive email on the basis of the terms set out at www.ericsson.com/email_disclaimer<http://www.ericsson.com/email_disclaimer>
From: [email-masked]<mailto:[email-masked]> [mailto:[email-masked]] On Behalf Of John-Luc Bakker
Sent: 19. března 2013 16:12
To: Christer Holmberg; [email-masked]<mailto:[email-masked]>
Subject: Re: [Ecrit] Draft new version: draft-holmberg-ecrit-country-emg-urn-02

Hi Christer,

Thanks for this.

Kind regards,

               JL

Hi,

Regards,

Christer

---

From: "Rosen, Brian" <[email-masked]>
Date: Tue, 19 Mar 2013 20:41:24 +0000

I think we have a problem here.  We don't require "specification" and we don't have adequate descriptions in the registry.

I am loath to require specification for this registry.  So, I suggest we expand "description" to a larger piece of text, and supply advice to the expert to evaluate the adequacy of the explanation.  We could copy text out of the RFC to start this process.

Brian

On Mar 19, 2013, at 4:33 PM, John-Luc Bakker <[email-masked]<mailto:[email-masked]>> wrote:

Hi Ivo,

Thanks for the quick response.
The IANA web page has for “urn:service:sos.mountain” the following description “Mountain rescue” and a link to the RFC. The RFC then has the following description of the caller expectation in terms of services rendered:

In my opinion, according to the RFC, “urn:service:sos.mountain” could also be applied to emergencies in caves/sink holes (i.e. no need for a mountainous terrain), although such use would not be immediately apparent from the description on the IANA web page that has the registry for Service URN Labels.

Regards,

               JL

From: Ivo Sedlacek [mailto:[email-masked]<http://ericsson.com>]
Sent: Tuesday, March 19, 2013 11:02 AM
To: John-Luc Bakker; Christer Holmberg; [email-masked]<mailto:[email-masked]>
Subject: RE: [Ecrit] Draft new version: draft-holmberg-ecrit-country-emg-urn-02

Hello,

Kind regards

Ivo Sedlacek

Hi Christer,

Thanks for this.

Kind regards,

               JL

Hi,

Based on the Orlando decision to move forward with the relax-the-5031-registration-policy alternative for allowing emg URNs for services offered in one country only, I’ve submitted an “official” new version (-02) of draft-holmberg-ecrit-country-emg-urn. Aside from some minor changes caused by the new version of xml2rfc, the draft is identical to the pre-02 version I distributed before the meeting.

Regards,

Christer
---------------------------------------------------------------------
This transmission (including any attachments) may contain confidential information, privileged material (including material protected by the solicitor-client or other applicable privileges), or constitute non-public information. Any use of this information by anyone other than the intended recipient is prohibited. If you have received this transmission in error, please immediately reply to the sender and delete this information from your system. Use, dissemination, distribution, or reproduction of this transmission by unintended recipients is not authorized and may be unlawful.
---------------------------------------------------------------------
This transmission (including any attachments) may contain confidential information, privileged material (including material protected by the solicitor-client or other applicable privileges), or constitute non-public information. Any use of this information by anyone other than the intended recipient is prohibited. If you have received this transmission in error, please immediately reply to the sender and delete this information from your system. Use, dissemination, distribution, or reproduction of this transmission by unintended recipients is not authorized and may be unlawful. _______________________________________________
Ecrit mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/ecrit

---

From: Richard Barnes <[email-masked]>
Date: Wed, 20 Mar 2013 00:29:27 -0400

+1

Part of the point of these identifiers is that they don't have detailed
specifications.  That way "urn:sos:ambulance" can cover both the Kentucky
and Brussels ambulance services even if the Kentucky service is a volunteer
service that only works Tuesdays and the Brussels service offers you a
complimentary waffle en route to the hospital.  In less frivolous words,
minor service differences shouldn't require separate identifiers.

On Tue, Mar 19, 2013 at 4:41 PM, Rosen, Brian <[email-masked]>wrote:

>  I think we have a problem here.  We don't require "specification" and we
> don't have adequate descriptions in the registry.
>
>  I am loath to require specification for this registry.  So, I suggest we
> expand "description" to a larger piece of text, and supply advice to the
> expert to evaluate the adequacy of the explanation.  We could copy text out
> of the RFC to start this process.
>
>  Brian
>
>  On Mar 19, 2013, at 4:33 PM, John-Luc Bakker <[email-masked]>
> wrote:
>
>   Hi Ivo,****
>
>  Thanks for the quick response.****
>  The IANA web page has for “urn:service:sos.mountain” the following *
> description* “Mountain rescue” and a link to the RFC. The RFC then has
> the following *description of the caller expectation in terms of services
> rendered*:****
>
>        The 'mountain' service refers to mountain****
>        rescue services (i.e., search and rescue activities that occur in**
> **
>        a mountainous environment), although the term is sometimes also****
>        used to apply to search and rescue in other wilderness****
>        environments.****
>
>  In my opinion, according to the RFC, “urn:service:sos.mountain” could
> also be applied to emergencies in caves/sink holes (i.e. no need for a
> mountainous terrain), although such use would not be immediately apparent
> from the description on the IANA web page that has the registry for Service
> URN Labels.****
>
>  Perhaps the issue is that the IANA web page that has the registry for Service
> URN Labels misses some information that is found in the RFC.****
>
>  Regards,****
>
>                 JL****
>
>   *From:* Ivo Sedlacek [mailto:[email-masked]]
> *Sent:* Tuesday, March 19, 2013 11:02 AM
> *To:* John-Luc Bakker; Christer Holmberg; [email-masked]
> *Subject:* RE: [Ecrit] Draft new version:
> draft-holmberg-ecrit-country-emg-urn-02****
>   ** **
>  Hello,****
>
>  > Will the caller expectation in terms of services rendered be
> documented somewhere?****
>
>  The new policy proposed in draft-holmberg-ecrit-country-emg-urn-02
> section 5.3 states:****
>
>     The 'sos' service type describes emergency services requiring an****
>     immediate response, typically offered by various branches of the****
>     government or other public institutions.  Additional sub-services can*
> ***
>     be added after expert review.  The expert is designated by the ECRIT**
> **
>     working group, its successor, or, in their absence, the IESG.  The****
>     expert review should only approve *services* that have emergency****
>     nature, that are offered in at least one country, that do not match***
> *
>     description of any existing service URN with the 'sos' service type,**
> **
>     and where *the service description* and *the URN* are defined as
> broadly****
>     as possible to encourage reuse.  The 'sos' service is not meant to****
>     invoke general government, public information, counseling, or social**
> **
>     services.****
>
>  I.e. in the expert review, the service description and the URN are
> reviewed. If approved, the service description and URN are listed in IANA -
> see
> http://www.iana.org/assignments/urn-serviceid-labels/urn-serviceid-labels.xml#urn-serviceid-labels-2
> ****
>
>  Kind regards****
>
>  Ivo Sedlacek****
>
>
>  This Communication is Confidential. We only send and receive email on
> the basis of the terms set out at www.ericsson.com/email_disclaimer****
>   *From:* [email-masked] [mailto:[email-masked]<[email-masked]>
> ] *On Behalf Of *John-Luc Bakker
> *Sent:* 19. března 2013 16:12
> *To:* Christer Holmberg; [email-masked]
> *Subject:* Re: [Ecrit] Draft new version:
> draft-holmberg-ecrit-country-emg-urn-02****
>   ** **
>  Hi Christer,****
>
>  Thanks for this.****
> expectation in terms of services rendered (for the new URN) cannot be found
> in RFC 5031.****
>
>  For example, for the existing URN urn:service:sos.mountain, the RFC
> includes:****
>
>        The 'mountain' service refers to mountain****
>        rescue services (i.e., search and rescue activities that occur in**
> **
>        a mountainous environment), although the term is sometimes also****
>        used to apply to search and rescue in other wilderness****
>        environments.****
>
>  Will the caller expectation in terms of services rendered be documented
> somewhere?****
>  Apologies if this query was already addressed during the ECRIT session …*
> ***
>
>  Kind regards,****
>
>                 JL****
>
>   *From:* [email-masked] [mailto:[email-masked]<[email-masked]>
> ] *On Behalf Of *Christer Holmberg
> draft-holmberg-ecrit-country-emg-urn-02****
>   ** **
>  Hi,****
>
> minor changes caused by the new version of xml2rfc, the draft is identical
> to the pre-02 version I distributed before the meeting.****
>  ** **
> but once the Orlando decision is verified on the list I hope we can adopt
> the draft as base for the work.****
>  ** **
>  Thanks to everyone who provided comments during the meeting!****
>  ** **
>  Regards,****
>  ** **
>  Christer****
> solicitor-client or other applicable privileges), or constitute non-public
> information. Any use of this information by anyone other than the intended
> recipient is prohibited. If you have received this transmission in error,
> please immediately reply to the sender and delete this information from
> your system. Use, dissemination, distribution, or reproduction of this
> transmission by unintended recipients is not authorized and may be unlawful.
> ****
> solicitor-client or other applicable privileges), or constitute non-public
> information. Any use of this information by anyone other than the intended
> recipient is prohibited. If you have received this transmission in error,
> please immediately reply to the sender and delete this information from
> your system. Use, dissemination, distribution, or reproduction of this
> transmission by unintended recipients is not authorized and may be
> unlawful. _______________________________________________
>
> Ecrit mailing list
> [email-masked]

---

From: Gunnar Hellstrom <[email-masked]>
Date: Mon, 25 Mar 2013 07:16:04 +0100

A minor correction proposal to the draft:
In last line of section 5.1:  "6.3" should be "5.3".

Gunnar

On 2013-03-20 05:29, Richard Barnes wrote:
> +1
>
> Part of the point of these identifiers is that they don't have 
> detailed specifications.  That way "urn:sos:ambulance" can cover both 
> the Kentucky and Brussels ambulance services even if the Kentucky 
> service is a volunteer service that only works Tuesdays and the 
> Brussels service offers you a complimentary waffle en route to the 
> hospital.  In less frivolous words, minor service differences 
> shouldn't require separate identifiers.
>
>
>
> On Tue, Mar 19, 2013 at 4:41 PM, Rosen, Brian <[email-masked] 
> <mailto:[email-masked]>> wrote:
>
>     I think we have a problem here.  We don't require "specification"
>     and we don't have adequate descriptions in the registry.
>
>     I am loath to require specification for this registry.  So, I
>     suggest we expand "description" to a larger piece of text, and
>     supply advice to the expert to evaluate the adequacy of the
>     explanation.  We could copy text out of the RFC to start this process.
>
>     Brian
>
>     On Mar 19, 2013, at 4:33 PM, John-Luc Bakker
>     <[email-masked] <mailto:[email-masked]>> wrote:
>
>>     Hi Ivo,
>>     The IANA web page has for "urn:service:sos.mountain" the
>>     following_description_"Mountain rescue" and a link to the RFC.
>>     The RFC then has the following_description of the caller
>>     expectation in terms of services rendered_:
>>     In my opinion, according to the RFC, "urn:service:sos.mountain"
>>     could also be applied to emergencies in caves/sink holes (i.e. no
>>     need for a mountainous terrain), although such use would not be
>>     immediately apparent from the description on the IANA web page
>>     that has the registry forService URN Labels.
>>     Perhaps the issue is that the IANA web page that has the registry
>>     forService URN Labelsmisses some information that is found in the
>>     RFC.
>>     Regards,
>>     JL
>>     *From:*Ivo Sedlacek [mailto:ivo.sedlacek@
>>     <mailto:ivo.sedlacek@>ericsson.com <http://ericsson.com>]
>>     *Sent:*Tuesday, March 19, 2013 11:02 AM
>>     *To:*John-Luc Bakker; Christer Holmberg;[email-masked]
>>     <mailto:[email-masked]>
>>     *Subject:*RE: [Ecrit] Draft new version:
>>     documented somewhere?
>>     The new policy proposed in
>>     draft-holmberg-ecrit-country-emg-urn-02 section 5.3 states:
>>        expert review should only approve_services_that have emergency
>>        and where_the service description_and_the URN_are defined as
>>     broadly
>>     I.e. in the expert review, the service description and the URN
>>     are reviewed. If approved, the service description and URN are
>>     listed in IANA -
>>     seehttp://www.iana.org/assignments/urn-serviceid-labels/urn-serviceid-labels.xml#urn-serviceid-labels-2
>>     Kind regards
>>     Ivo Sedlacek
>>     This Communication is Confidential. We only send and receive
>>     email on the basis of the terms set out
>>     atwww.ericsson.com/email_disclaimer
>>     <http://www.ericsson.com/email_disclaimer>
>>     *From:[email-masked]
>>     <mailto:[email-masked]>[mailto:[email-masked]]*On
>>     Behalf Of*John-Luc Bakker
>>     *Sent:*19. br(ezna 2013 16:12
>>     *To:*Christer Holmberg;[email-masked] <mailto:[email-masked]>
>>     *Subject:*Re: [Ecrit] Draft new version:
>>     When a new URN is adopted via expert review, a description of the
>>     caller expectation in terms of services rendered (for the new
>>     URN) cannot be found in RFC 5031.
>>     For example, for the existing URNurn:service:sos.mountain, the
>>     RFC includes:
>>     documented somewhere?
>>     *From:[email-masked]
>>     <mailto:[email-masked]>[mailto:[email-masked]]*On
>>     Behalf Of*Christer Holmberg
>>     *Sent:*Tuesday, March 19, 2013 6:52 AM
>>     *To:[email-masked] <mailto:[email-masked]>
>>     *Subject:*[Ecrit] Draft new version:
>>     relax-the-5031-registration-policy alternative for allowing emg
>>     URNs for services offered in one country only, I've submitted an
>>     "official" new version (-02) of
>>     draft-holmberg-ecrit-country-emg-urn. Aside from some minor
>>     changes caused by the new version of xml2rfc, the draft is
>>     As was indicated in the meeting, additional text will still be
>>     needed, but once the Orlando decision is verified on the list I
>>     hope we can adopt the draft as base for the work.
>>     This transmission (including any attachments) may contain
>>     confidential information, privileged material (including material
>>     protected by the solicitor-client or other applicable
>>     privileges), or constitute non-public information. Any use of
>>     this information by anyone other than the intended recipient is
>>     prohibited. If you have received this transmission in error,
>>     please immediately reply to the sender and delete this
>>     information from your system. Use, dissemination, distribution,
>>     or reproduction of this transmission by unintended recipients is
>>     not authorized and may be unlawful.
>>     This transmission (including any attachments) may contain
>>     confidential information, privileged material (including material
>>     protected by the solicitor-client or other applicable
>>     privileges), or constitute non-public information. Any use of
>>     this information by anyone other than the intended recipient is
>>     prohibited. If you have received this transmission in error,
>>     please immediately reply to the sender and delete this
>>     information from your system. Use, dissemination, distribution,
>>     or reproduction of this transmission by unintended recipients is
>>     not authorized and may be unlawful.
>>     [email-masked] <mailto:[email-masked]>
>     [email-masked] <mailto:[email-masked]>

---

From: Christer Holmberg <[email-masked]>
Date: Mon, 25 Mar 2013 08:58:53 +0000

Hi Gunnar,

I will fix the bug in the next version of the draft. Thanks! :)

Regards,

Christer

From: [email-masked] [mailto:[email-masked]] On Behalf Of Gunnar Hellstrom
Sent: 25. maaliskuuta 2013 8:16
To: [email-masked]
Subject: Re: [Ecrit] Draft new version: draft-holmberg-ecrit-country-emg-urn-02

Gunnar

Part of the point of these identifiers is that they don't have detailed specifications.  That way "urn:sos:ambulance" can cover both the Kentucky and Brussels ambulance services even if the Kentucky service is a volunteer service that only works Tuesdays and the Brussels service offers you a complimentary waffle en route to the hospital.  In less frivolous words, minor service differences shouldn't require separate identifiers.

On Tue, Mar 19, 2013 at 4:41 PM, Rosen, Brian <[email-masked]<mailto:[email-masked]>> wrote:
I think we have a problem here.  We don't require "specification" and we don't have adequate descriptions in the registry.

Brian

Hi Ivo,

Regards,

               JL

From: Ivo Sedlacek [mailto:ivo.sedlacek@<mailto:ivo.sedlacek@>ericsson.com<http://ericsson.com>]
Sent: Tuesday, March 19, 2013 11:02 AM
To: John-Luc Bakker; Christer Holmberg; [email-masked]<mailto:[email-masked]>
Subject: RE: [Ecrit] Draft new version: draft-holmberg-ecrit-country-emg-urn-02

Hello,

Kind regards

Ivo Sedlacek

Hi Christer,

Thanks for this.

Kind regards,

               JL

Hi,

Regards,

Christer

Ecrit mailing list

Ecrit mailing list

---

From: "DRAGE, Keith (Keith)" <[email-masked]>
Date: Mon, 25 Mar 2013 14:26:40 +0000

It would make sense to allow both these options.

Keith

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On Behalf Of
> Paul Kyzivat
> Sent: 19 March 2013 15:54
> To: [email-masked]
> > includes:
> > somewhere?
> > services offered in one country only, I've submitted an "official" new